Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jimi.core.util
Class JimiImageColorReducer

    java.lang.Object
      |
      +--com.sun.jimi.core.util.JimiImageColorReducer

public class JimiImageColorReducer
extends java.lang.Object

Color reduction for JimiImages.

Constructor Summary
`JimiImageColorReducer(byte[] cmap, int numColors)`
`JimiImageColorReducer(java.awt.image.IndexColorModel palette)`
`JimiImageColorReducer(java.awt.image.IndexColorModel palette, int maxColors)`
`JimiImageColorReducer(int maxColors)`

Method Summary
`JimiRasterImage` | `colorReduce(java.awt.image.ImageProducer prod)`
`JimiRasterImage` | `colorReduce(JimiRasterImage jiInput)`
`JimiRasterImage` | `colorReduceFS(java.awt.image.ImageProducer prod)`
`JimiRasterImage` | `colorReduceFS(JimiRasterImage jiInput)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JimiImageColorReducer

    public JimiImageColorReducer(int maxColors)

### JimiImageColorReducer

    public JimiImageColorReducer(byte[] cmap,
                                 int numColors)

### JimiImageColorReducer

    public JimiImageColorReducer(java.awt.image.IndexColorModel palette)

### JimiImageColorReducer

    public JimiImageColorReducer(java.awt.image.IndexColorModel palette,
                                 int maxColors)

Method Detail

### colorReduce

    public JimiRasterImage colorReduce(java.awt.image.ImageProducer prod)
                                throws JimiException

### colorReduce

    public JimiRasterImage colorReduce(JimiRasterImage jiInput)
                                throws JimiException

  Parameters:
    `prod` - The imageproducer to retrieve image data from.
  Returns:
    JimiRasterImage created from the imageproducer. The JimiRasterImage is garaunteed to be a byte[] array image with a palette as this method applies ColorOctree reduction to the image data retrieved from the ImageProducer.
  Throws:
    JimiException - if error encountered retrieving he image data to process it for the color reduction.

### colorReduceFS

    public JimiRasterImage colorReduceFS(java.awt.image.ImageProducer prod)
                                  throws JimiException

### colorReduceFS

    public JimiRasterImage colorReduceFS(JimiRasterImage jiInput)
                                  throws JimiException

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD